<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.sale.mapper.after.AfterSalesDetailMapper">
    <select id="getPage" resultType="com.fjhx.sale.entity.after.vo.AfterSalesDetailVo">
        SELECT asd.id,
               asd.after_sales_id,
               asd.product_id,
               asd.quantity,
               asd.`status`,
               asd.contract_id,
               asd.create_user,
               asd.create_time,
               asd.update_user,
               asd.update_time,
               as1.customer_id,
               as1.type,
               as1.remark
        FROM after_sales_detail asd
                 LEFT JOIN after_sales as1 ON asd.after_sales_id = as1.id
            ${ew.customSqlSegment}
    </select>

</mapper>
